Skip to main content
GET
/
v1
/
customers
List customers
curl --request GET \
  --url https://api.ledger.so/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "id": "<string>",
      "email": "jsmith@example.com",
      "firstName": "<string>",
      "lastName": "<string>",
      "type": "individual",
      "status": "active",
      "kycStatus": "not_started",
      "kycLink": "<string>",
      "tosLink": "<string>",
      "capabilities": {
        "virtualAccounts": true,
        "wallets": true,
        "transfers": true
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "phone": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Query Parameters

cursor
string

Pagination cursor from a previous response's nextCursor

limit
integer
default:50

Maximum number of items to return (1-200, default 50)

Required range: 1 <= x <= 200

Response

Customer list

ok
enum<boolean>
required
Available options:
true
data
object[]
required
nextCursor
string | null